POST
/api/v1/address/createCreate Sub-address
Create a new deposit address on a specified blockchain for a WaaS project. You can configure callback_url to receive deposit notifications for this address.
Rate limit: 1000 requests/minute
TON and XRP do not support creating addresses via API requests. Create them manually in the client. See Create Sub-address.
Request
Request Body
required
application/jsonnoncestringrequired6-character random string.
timestampinteger<int64>requiredTimestamp.
signstringrequiredSignature string.
pidinteger<int64>requiredProject ID.
chain_idstringrequiredMain chain identifier.
aliasstringDisplay name.
callback_urlstringCallback URL. When this address receives funds, Cregis sends a transaction callback notification to the corresponding
callback_url. For callback details, see Deposit Notification.
Responses
200Successapplication/jsoncodestringResponse code.
msgstringResponse message.